Page MenuHomePhabricator

Use static arrays for Interwiki cache in Wikimedia production (instead of cdb files)
Closed, ResolvedPublic

Description

@ori wrote at https://gerrit.wikimedia.org/r/250301

For the same reasons wikiversions.cdb was converted to a PHP file -- viz., that
static arrays in PHP files get cached in HHVM's bytecode cache and are
therefore faster to use with HHVM than CDB files.


See also: T99740: Use static php array files for l10n cache instead of CDB

Event Timeline

Krinkle created this task.Dec 23 2015, 10:23 PM
Krinkle updated the task description. (Show Details)
Krinkle raised the priority of this task from to Needs Triage.
Krinkle added subscribers: Krinkle, ori.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 23 2015, 10:23 PM

Change 250301 had a related patch set uploaded (by Krinkle):
Allow $wgInterwikiCache to be an associative array

https://gerrit.wikimedia.org/r/250301

Change 250301 merged by jenkins-bot:
Allow $wgInterwikiCache to be an associative array

https://gerrit.wikimedia.org/r/250301

Krinkle updated the task description. (Show Details)Jan 4 2016, 10:44 PM
Krinkle triaged this task as Normal priority.Jan 6 2016, 7:55 PM

Removing T99740 as blocker. This can be a regular php file references in wmf-config. It's not nearly as large and frequently changing as i18n to warrant a block on Repo-Auth mode. It'll be like any other file in wmf-config that can change with deployments.

Change 269201 had a related patch set uploaded (by Ori.livneh):
Add interwiki.php; use it on mw1017 & on labs

https://gerrit.wikimedia.org/r/269201

Change 269217 had a related patch set uploaded (by Ori.livneh):
dumpInterwiki: make stdout output valid PHP code

https://gerrit.wikimedia.org/r/269217

Change 269201 merged by Ori.livneh:
Add interwiki.php; use it on mw1017 & on labs

https://gerrit.wikimedia.org/r/269201

Change 269297 had a related patch set uploaded (by Ori.livneh):
Use interwiki.php on all wikis; delete unused interwiki.json

https://gerrit.wikimedia.org/r/269297

Change 269297 merged by jenkins-bot:
Use interwiki.php on all wikis; delete unused interwiki.json

https://gerrit.wikimedia.org/r/269297

Change 269318 had a related patch set uploaded (by Ori.livneh):
Remove interwiki.cdb

https://gerrit.wikimedia.org/r/269318

ori closed this task as Resolved.Feb 8 2016, 10:42 PM
ori claimed this task.

Change 269329 had a related patch set uploaded (by Ori.livneh):
Fix-up for I5a979f047031e

https://gerrit.wikimedia.org/r/269329

Change 269318 merged by Ori.livneh:
Remove interwiki.cdb

https://gerrit.wikimedia.org/r/269318

Change 269329 merged by jenkins-bot:
interwiki: Fix-up for I5a979f047031e

https://gerrit.wikimedia.org/r/269329

Change 269814 had a related patch set uploaded (by Chad):
interwiki: Fix-up for I5a979f047031e

https://gerrit.wikimedia.org/r/269814

Change 269814 merged by Chad:
interwiki: Fix-up for I5a979f047031e

https://gerrit.wikimedia.org/r/269814

Change 270328 had a related patch set uploaded (by Alex Monk):
dumpInterwiki: make stdout output valid PHP code

https://gerrit.wikimedia.org/r/270328

Change 269217 merged by jenkins-bot:
dumpInterwiki: make stdout output valid PHP code

https://gerrit.wikimedia.org/r/269217

Change 270328 merged by jenkins-bot:
dumpInterwiki: make stdout output valid PHP code

https://gerrit.wikimedia.org/r/270328